import request from '@/utils/request.js'

export function getProcessDefinitionList(param) {
    return request({
        url: "/workflow/process/definition",
        method: "get",
        params: param
    })
}

export function getProcessDefinitionInfo(deploymentId) {
    return request({
        url: "/workflow/process/definition/" + deploymentId,
        method: "get",
    })
}

export function getInitiateInfo(processDefinitionKey) {
    return request({
        url: "/workflow/process/definition/key/" + processDefinitionKey,
        method: "get",
    })
}


export function getHistoryVersion(processDefinitionKey) {
    return request({
        url: "/workflow/process/definition/history/" + processDefinitionKey,
        method: "get",
    })
}

export function deleteHistoryVersion(deploymentId) {
    return request({
        url: "/workflow/process/definition/" + deploymentId,
        method: "delete",
    })
}

export function suspendProcessDefinition(processDefinitionId) {
    return request({
        url: "/workflow/process/definition/suspend",
        method: "put",
        data: processDefinitionId
    })
}

export function activateProcessDefinition(processDefinitionId) {
    return request({
        url: "/workflow/process/definition/activate",
        method: "put",
        data: processDefinitionId
    })
}

export function addProcessDefinition(param) {
    return request({
        url: "/workflow/process/definition",
        method: "post",
        data: param
    })
}

export function getTypeOption() {
    return request({
        url: "/workflow/process/definition/type/option",
        method: "get",
    })
}

export function getFromPerm(processKey) {
    return request({
        url: "/workflow/process/definition/from/perm/"+processKey,
        method: "get",
    })
}


